> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取记忆

> 返回单条记忆的内容和元数据

```
GET /openapi/memorylake/api/v2/projects/{id}/memories/{memoryId}
```

返回单条记忆的内容和元数据。

<Note>
  **所需权限：** [`project:mem_read`](/zh/features/team-collaboration/permission-reference#阅读事实内容) · `instance`
</Note>

### 路径参数

<ParamField path="id" type="string" required>
  项目 ID
</ParamField>

<ParamField path="memoryId" type="string" required>
  记忆 ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v2/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/memories/mem-123' \
    -H 'Authorization: Bearer sk_xxxxxx'
  ```
</RequestExample>

### 响应

<ResponseField name="data" type="object">
  <Expandable title="记忆对象">
    <ResponseField name="id" type="string">记忆 ID</ResponseField>
    <ResponseField name="content" type="string">记忆内容</ResponseField>
    <ResponseField name="expired" type="boolean">该记忆是否已被遗忘</ResponseField>
    <ResponseField name="user_id" type="string">关联的用户 ID</ResponseField>
    <ResponseField name="created_at" type="string">创建时间戳</ResponseField>
    <ResponseField name="updated_at" type="string">最后更新时间戳</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {
      "id": "mem-123",
      "content": "User prefers Hangzhou cuisine restaurants",
      "expired": false,
      "user_id": "user-abc123",
      "created_at": "2024-01-15T10:00:00Z",
      "updated_at": "2024-01-15T10:00:00Z"
    }
  }
  ```
</ResponseExample>
